.footer {
	color: #fff;
	background-color: #1f1f1f;
	padding-top: 90px;

	@media (--tablet-horizontal-max) {
		padding-top: 60px;
	}

	@media (--mobile) {
		padding-top: 30px;
	}
}

.footer__logo {
	float: left;
	width: 500px;

	& svg {
		width: 400px;
		max-width: 100%;
	}

	@media (--tablet-horizontal-only) {
		width: 230px;
		margin-right: 90px;
	}

	@media (--tablet-vertical-max) {
		float: none;
		clear: both;
		width: 250px;
		margin: 0 auto 50px;
	}

	@media (--mobile) {
		width: 170px;
		margin-bottom: 35px;
	}
}

.footer__body {
	float: left;
	width: 690px;

	@media (--tablet-horizontal-max) {
		width: 630px;
	}

	@media (--tablet-vertical-max) {
		float: none;
		width: 100%;
	}

	@media (--mobile) {
		padding: 0 20px;
	}
}

.footer__text {
	margin: 0 0 30px;
	font-size: 18px;
	line-height: 25px;

	@media (--mobile) {
		font-size: 14px;
		line-height: 20px;
		margin-bottom: 20px;
	}
}

.footer__link {
	display: inline-block;
	vertical-align: top;
	color: #fff;
	border-bottom: 1px solid #fff;
	transition: border-bottom-color 0.3s ease 0s;
	will-change: border-bottom-color;

	&:hover {
		border-bottom-color: transparent;
	}

	@media (--mobile) {
		font-size: 14px;
		line-height: 20px;
	}
}

.footer__blocks {
	padding-top: 60px;
	margin-top: 50px;
	position: relative;

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 8px;
		background-image: var(--pattern-white-dot);
	}

	@media (--mobile) {
		margin-top: 30px;
		padding-top: 35px;
	}
}

.footer__block {
	float: left;
	width: 290px;

	@media (--tablet-horizontal-only) {
		width: 160px;

		&:last-child {
			margin-top: -20px;
		}
	}

	&:nth-child(2n+1) {
		width: 400px;

		@media (--mobile) {
			width: 100%;
		}
	}

	@media (--mobile) {
		width: 100%;

		&:not(:last-child) {
			margin-bottom: 20px;
		}
	}
}

.footer__block-header {
	margin: 0;
	text-transform: uppercase;
	font-weight: 800;
	font-size: 12px;
	letter-spacing: 0.06em;
	margin-bottom: 16px;

	@media (--mobile) {
		font-size: 10px;
		margin-bottom: 5px;
	}
}

.footer__links {
	overflow: hidden;
}

.footer__nav-link {
	color: #909090;
	float: left;
	font-size: 14px;
	transition: color 0.3s ease 0s;
	will-change: color;

	&:hover {
		color: var(--color-main);
	}

	&:not(:last-child) {
		margin-right: 20px;

		@media (--mobile) {
			margin-right: 10px;
		}
	}
}

.footer__small-text {
	margin: 0;
	font-size: 14px;
	line-height: 25px;
	color: #909090;

	& a {
		color: #909090;
		display: inline-block;
		line-height: 14px;
		vertical-align: top;
		border-bottom: 1px solid #909090;
		transition: border-bottom-color 0.3s ease 0s;
		will-change: border-bottom-color;

		&:hover {
			border-bottom-color: transparent;
		}
	}
}

.footer__bottom {
	position: relative;
	margin-top: 80px;
	padding-top: 6px;

	&::before {
		content: '';
		display: block;
		position: absolute;
		top: 0;
		left: 0;
		width: 100%;
		height: 8px;
		background-image: var(--pattern-white-dot);
	}

	@media (--mobile) {
		margin-top: 30px;
		padding: 0 20px;
	}
}

.footer__copyright,
.footer__quote {
	color: #909090;
	font-size: 14px;
	height: 56px;
	line-height: 56px;
	overflow: hidden;
	font-style: normal;

	@media (--mobile) {
		font-size: 12px;
		line-height: 60px;
	}
}

.footer__copyright {
	float: left;
}

.footer__quote {
	float: right;
}
